# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.calendar
Class WebContent

    java.lang.Object
      com.google.gdata.data.calendar.WebContent

All Implemented Interfaces:
  Extension

    public class WebContent

extends java.lang.Object
implements Extension

A "web content" extension -- here are some examples:

     <atom:link rel="http://schemas.google.com/gCal/2005/webContent"
                title="World Cup"
                href="http://www.google.com/calendar/images/google-holiday.gif"
                type="image/gif">
       <gCal:webContent
             width="276"
             height="120"
             url="http://www.google.com/logos/worldcup06.gif" />
     </atom:link>

     <atom:link rel="http://schemas.google.com/gCal/2005/webContent"
                title="DateTime Gadget (a classic!)"
                href="http://www.google.com/favicon.ico"
                type="application/x-google-gadgets+xml">
       <gCal:webContent
             width="300"
             height="136"
             url="http://google.com/ig/modules/datetime.xml">
         <gCal:webContentGadgetPref name="color" value="green" />
       </gCal:webContent>
     </atom:link>

Field Summary
`static java.lang.String` `REL` value of the rel attribute for a link containing web content

Constructor Summary
`WebContent()`

Method Summary
`void` `generate(com.google.gdata.util.common.xml.XmlWriter writer, ExtensionProfile profile)` Generates an XML representation for the extension.
`static ExtensionDescription` `getDefaultDescription()`
`java.util.Map<java.lang.String,java.lang.String>` `getGadgetPrefs()`
`XmlParser.ElementHandler` `getHandler(ExtensionProfile profile, java.lang.String namespace, java.lang.String localName, org.xml.sax.Attributes attrs)` Gets an XML element handler for the extension.
`java.lang.String` `getHeight()`
`java.lang.String` `getIcon()`
`java.lang.String` `getTitle()`
`java.lang.String` `getType()`
`java.lang.String` `getUrl()`
`java.lang.String` `getWidth()`
`void` `setGadgetPrefs(java.util.Map<java.lang.String,java.lang.String> gadgetPrefs)`
`void` `setHeight(java.lang.String height)`
`void` `setIcon(java.lang.String icon)`
`void` `setTitle(java.lang.String title)`
`void` `setType(java.lang.String type)`
`void` `setUrl(java.lang.String url)`
`void` `setWidth(java.lang.String width)`
`java.lang.String` `toString()`
`static void` `updateWebContent(CalendarEventEntry entry)` Done as a post-process on a CalendarEventEntry to see if it contains the appropriate XML to signify that the entry contains web content.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### REL

    public static final java.lang.String REL

  value of the rel attribute for a link containing web content

  See Also:
    Constant Field Values

Constructor Detail

### WebContent

    public WebContent()

Method Detail

### getDefaultDescription

    public static ExtensionDescription getDefaultDescription()

### updateWebContent

    public static void updateWebContent(CalendarEventEntry entry)
                                 throws ParseException

  Done as a post-process on a CalendarEventEntry to see if it contains the appropriate XML to signify that the entry contains web content. If so, the WebContent property of the entry is set.

  Throws:
    `ParseException`

### generate

    public void generate(com.google.gdata.util.common.xml.XmlWriter writer,
                         ExtensionProfile profile)
                  throws java.io.IOException

  Description copied from interface: `Extension`
  Generates an XML representation for the extension.

  Specified by:
    `generate` in interface `Extension`
  Parameters:
    `writer` - XML writer
    `profile` - extension profile
  Throws:
    `java.io.IOException`

### getHandler

    public XmlParser.ElementHandler getHandler(ExtensionProfile profile,
                                               java.lang.String namespace,
                                               java.lang.String localName,
                                               org.xml.sax.Attributes attrs)
                                        throws ParseException,
                                               java.io.IOException

  Description copied from interface: `Extension`
  Gets an XML element handler for the extension.

  Specified by:
    `getHandler` in interface `Extension`
  Parameters:
    `profile` - extension profile
    `namespace` - extension namespace
    `localName` - tag name, without the namespace prefix
    `attrs` - tag attributes
  Returns:
    an element handler
  Throws:
    `ParseException` - when an unexpected tag or badly-formatted XML is detected
    `java.io.IOException`

### getIcon

    public java.lang.String getIcon()

### setIcon

    public void setIcon(java.lang.String icon)

### getTitle

    public java.lang.String getTitle()

### setTitle

    public void setTitle(java.lang.String title)

### getType

    public java.lang.String getType()

### setType

    public void setType(java.lang.String type)

### getUrl

    public java.lang.String getUrl()

### setUrl

    public void setUrl(java.lang.String url)

### getWidth

    public java.lang.String getWidth()

### setWidth

    public void setWidth(java.lang.String width)

### getHeight

    public java.lang.String getHeight()

### setHeight

    public void setHeight(java.lang.String height)

### getGadgetPrefs

    public java.util.Map<java.lang.String,java.lang.String> getGadgetPrefs()

### setGadgetPrefs

    public void setGadgetPrefs(java.util.Map<java.lang.String,java.lang.String> gadgetPrefs)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`